Subject: Re: bug#73286: [PATCH] Add foldout command for widening to current fold

From: Andrea Corallo <[email-masked]>
Date: Tue, 01 Oct 2024 14:50:24 -0400

Eli Zaretskii <[email-masked]> writes:

>> From: Paul Nelson <[email-masked]>
>> Date: Mon, 16 Sep 2024 01:38:35 +0200
>> 
>> The foldout package, which "zooms in" on document sections by
>> narrowing the buffer, doesn't play well with Emacs's other narrowing
>> features: after narrowing further within a fold, there's no easy way
>> to widen back to the fold's boundaries.
>> 
>> This patch introduces foldout-widen-to-current-fold, a command that
>> widens to the current fold level (or to the whole buffer if not in a
>> fold).
>> 
>> Example usage:
>> - Use foldout-zoom-subtree to zoom in on some section.
>> - Use narrow-to-defun to edit some function.
>> - Use foldout-widen-to-current-fold to return to the scope of the
>> zoomed-in section.
>> 
>> Any feedback welcome.
>
> Thanks.  This new feature LGTM, but I'm not convinced we should have a
> separate key binding for this new command by default.  If we want to
> have a default key binding at all, maybe we should make "C-c C-x"
> invoke this command when given a negative argument.
>
> Stefan and Andrea, WDYT?

I'm happy to have the feature in.  I guess we can introduce the
keybinding later in case it's requested.

  Andrea